﻿import request from '/@/utils/request';
enum Api {
  AddWcsBoxInfo = '/api/wcsBoxInfo/add',
  DeleteWcsBoxInfo = '/api/wcsBoxInfo/delete',
  UpdateWcsBoxInfo = '/api/wcsBoxInfo/update',
  PageWcsBoxInfo = '/api/wcsBoxInfo/page',
  DetailWcsBoxInfo = '/api/wcsBoxInfo/detail',
}

// 增加箱码明细表
export const addWcsBoxInfo = (params?: any) =>
	request({
		url: Api.AddWcsBoxInfo,
		method: 'post',
		data: params,
	});

// 删除箱码明细表
export const deleteWcsBoxInfo = (params?: any) => 
	request({
			url: Api.DeleteWcsBoxInfo,
			method: 'post',
			data: params,
		});

// 编辑箱码明细表
export const updateWcsBoxInfo = (params?: any) => 
	request({
			url: Api.UpdateWcsBoxInfo,
			method: 'post',
			data: params,
		});

// 分页查询箱码明细表
export const pageWcsBoxInfo = (params?: any) => 
	request({
			url: Api.PageWcsBoxInfo,
			method: 'post',
			data: params,
		});

// 详情箱码明细表
export const detailWcsBoxInfo = (id: any) => 
	request({
			url: Api.DetailWcsBoxInfo,
			method: 'get',
			data: { id },
		});


